Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface Action

All Superinterfaces:
  Comparable, EventSource, NamedIndexedObject, NamedObject, Serializable

All Known Subinterfaces:
  AssignAction, AssignToNextUserAction, Constructor, ReturnAction, StepAction, StepWorkAction, WorkAction

    public interface Action

extends NamedIndexedObject, Serializable

Represents an action that may be taken as a constructor or step action.

Nested Class Summary
`static interface` | `Action.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`PropertyRef` | `addPropertyRef(String propertyName)` Add a new property reference to this action.
`PropertyRef` | `addPropertyRef(SystemProperty property)` Add a new property reference for a system property to this action.
`ActionContainer` | `getActionContainer()` Get the parent container for this action.
`String[]` | `getPropertyNames()` Get an array of property names required by this action.
`PropertyRef[]` | `getPropertyRefs()` Get an array of PropertyRef instances describing the required properties for this action.
`void` | `removePropertyRef(String propertyName)` Remove the property reference with the given name from this action.
`void` | `removePropertyRef(SystemProperty property)` Remove a system property reference from this action.
`void` | `setPropertyRefs(PropertyRef[] refs)` Set the PropertyRefs representing the required properties for this action.

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getActionContainer

    ActionContainer getActionContainer()

  Get the parent container for this action.

### getPropertyNames

    String[] getPropertyNames()

  Get an array of property names required by this action.

### getPropertyRefs

    PropertyRef[] getPropertyRefs()

  Get an array of PropertyRef instances describing the required properties for this action.

### setPropertyRefs

    void setPropertyRefs(PropertyRef[] refs)

  Set the PropertyRefs representing the required properties for this action. You can create a PropertyRef via TaskPlanFactory.createPropertyRef() and collect them into an array for a final call to setPropertyRefs(). For most users, you should use addPropertyRef() to create and add a new property ref in one step.

  Parameters:
    `refs` - The new properties to require.
  See Also:
    `TaskPlanFactory.createPropertyRef(String, String, String);`

### addPropertyRef

    PropertyRef addPropertyRef(String propertyName)

  Add a new property reference to this action.

  Parameters:
    `propertyName` - The new property ref.

### removePropertyRef

    void removePropertyRef(String propertyName)

  Remove the property reference with the given name from this action.

  Parameters:
    `propertyName` - The property ref to remove.

### addPropertyRef

    PropertyRef addPropertyRef(SystemProperty property)

  Add a new property reference for a system property to this action.

  Parameters:
    `property` - The new property ref.

### removePropertyRef

    void removePropertyRef(SystemProperty property)

  Remove a system property reference from this action.

  Parameters:
    `property` - The property ref to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD